#588 Liferea fails to start after updated sqlite3

v1.4
closed-fixed
nobody
Stability (86)
9
2007-10-29
2007-10-10
zodmaner
No

After updated sqlite3 from version 3.4.1 to 3.5.1, Liferea tray icon is missing. I also cannot get Liferea to show its main window, despite specifying the '--mainwindow-state=shown' argument to the command line. Liferea is shown in a list processes, but doesn't seems to do anything and I have use kill signal to close it.

Running Liferea from terminal produces these error messages:
libnm_glib_nm_state_cb: dbus returned an error.
(org.freedesktop.DBus.Error.ServiceUnknown) The name org.freedesktop.NetworkManager was not provided by any .service files
*** glibc detected *** /usr/bin/liferea-bin: free(): invalid pointer: 0x00000000006d4408 ***

the_glu, one of the users from my distribution, have rebuilt Liferea with debug symbols and got this stack trace (the original bug report on my distribution is here:http://bugs.archlinux.org/task/8277#comment19694):

*** glibc detected *** /usr/bin/liferea-bin: free(): invalid pointer: 0x080fcc78 ***
======= Backtrace: =========
/lib/libc.so.6[0xb73dac06]
/lib/libc.so.6(cfree+0x89)[0xb73dc8c9]
/usr/lib/libglib-2.0.so.0(g_free+0x31)[0xb75b99f1]
/usr/bin/liferea-bin(db_view_create+0x9e)[0x80635be]
/usr/bin/liferea-bin(rules_to_view+0x44)[0x80714d4]
/usr/bin/liferea-bin(vfolder_refresh+0x52)[0x8075df2]
/usr/bin/liferea-bin(import_parse_outline+0x22e)[0x806538e]
/usr/bin/liferea-bin(import_OPML_feedlist+0x180)[0x8065800]
/usr/bin/liferea-bin[0x8082f0e]
/usr/bin/liferea-bin(node_source_setup_root+0x6c)[0x8082bcc]
/usr/bin/liferea-bin(feedlist_init+0xb4)[0x80686d4]
/usr/bin/liferea-bin(ui_mainwindow_init+0x948)[0x808bba8]
/usr/bin/liferea-bin(main+0x202)[0x80750a2]
/lib/libc.so.6(__libc_start_main+0xe0)[0xb738af90]
/usr/bin/liferea-bin[0x805d4e1]
======= Memory map: ========
08048000-080ad000 r-xp 00000000 08:01 806976 /usr/bin/liferea-bin
080ad000-080af000 rwxp 00064000 08:01 806976 /usr/bin/liferea-bin
080af000-0857d000 rwxp 080af000 00:00 0 [heap]
b3af2000-b3dc8000 r-xp 00000000 08:01 340190 /usr/share/icons/hicolor/icon-theme.cache
b3dc8000-b3de4000 r-xp 00000000 08:01 321807 /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so
b3de4000-b3de5000 rwxp 0001b000 08:01 321807 /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so
b3de5000-b3df3000 r-xp 00000000 08:01 12891 /lib/libresolv-2.6.1.so
b3df3000-b3df5000 rwxp 0000d000 08:01 12891 /lib/libresolv-2.6.1.so
b3df5000-b3df7000 rwxp b3df5000 00:00 0
b3df7000-b3dfb000 r-xp 00000000 08:01 12919 /lib/libnss_dns-2.6.1.so
b3dfb000-b3dfd000 rwxp 00003000 08:01 12919 /lib/libnss_dns-2.6.1.so
b3e09000-b3e0f000 r-xp 00000000 08:01 320721 /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-xpm.so
b3e0f000-b3e10000 rwxp 00005000 08:01 320721 /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-xpm.so
b3e10000-b3e13000 r-xp 00000000 08:01 617327 /usr/share/locale/fr/LC_MESSAGES/atk10.mo
b3e13000-b3e19000 r-xp 00000000 08:01 23775 /usr/share/locale/fr/LC_MESSAGES/glib20.mo
b3e19000-b3e1a000 ---p b3e19000 00:00 0
b3e1a000-b461a000 rwxp b3e1a000 00:00 0
b461a000-b468d000 r-xp 00000000 08:01 364597 /opt/mozilla/lib/xulrunner-1.8.1.6/components/libwebsrvcs.so
b468d000-b4693000 rwxp 00072000 08:01 364597 /opt/mozilla/lib/xulrunner-1.8.1.6/components/libwebsrvcs.so
b4693000-b46a5000 r-xp 00000000 08:01 365653 /opt/mozilla/lib/xulrunner-1.8.1.6/components/libuniversalchardet.so
b46a5000-b46af000 rwxp 00011000 08:01 365653 /opt/mozilla/lib/xulrunner-1.8.1.6/components/libuniversalchardet.so
b46af000-b46fe000 r-xp 00000000 08:01 364599 /opt/mozilla/lib/xulrunner-1.8.1.6/components/libtransformiix.so
b46fe000-b4702000 rwxp 0004e000 08:01 364599 /opt/mozilla/lib/xulrunner-1.8.1.6/components/libtransformiix.so
b4702000-b474a000 r-xp 00000000 08:01 13999 /usr/lib/libsoftokn3.so
b474a000-b474e000 rwxp 00047000 08:01 13999 /usr/lib/libsoftokn3.so
b474e000-b47ba000 r-xp 00000000 08:01 14002 /usr/lib/libnss3.so
b47ba000-b47bf000 rwxp 0006b000 08:01 14002 /usr/lib/libnss3.so
b47bf000-b47e0000 r-xp 00000000 08:01 13997 /usr/lib/libsmime3.so
b47e0000-b47e2000 rwxp 00021000 08:01 13997 /usr/lib/libsmime3.so
b47e2000-b4807000 r-xp 00000000 08:01 13998 /usr/lib/libssl3.so
b4807000-b4809000 rwxp 00024000 08:01 13998 /usr/lib/libssl3.so
b480a000-b480c000 r-xp 00000000 08:01 365645 /opt/mozilla/lib/xulrunner-1.8.1.6/components/libxulutil.so
b480c000-b480d000 rwxp 00001000 08:01 365645 /opt/mozilla/lib/xulrunner-1.8.1.6/components/libxulutil.so
b480d000-b4812000 r-xp 00000000 08:01 365592 /opt/mozilla/lib/xulrunner-1.8.1.6/components/libxmlextras.so
b4812000-b4813000 rwxp 00004000 08:01 365592 /opt/mozilla/lib/xulrunner-1.8.1.6/components/libxmlextras.so
b4813000-b4818000 r-xp 00000000 08:01 364583 /opt/mozilla/lib/xulrunner-1.8.1.6/components/libsystem-pref.so
b4818000-b4819000 rwxp 00004000 08:01 364583 /opt/mozilla/lib/xulrunner-1.8.1.6/components/libsystem-pref.so
b4819000-b481c000 r-xp 00000000 08:01 365654 /opt/mozilla/lib/xulrunner-1.8.1.6/components/libsimpletest.so
b481c000-b481d000 rwxp 00002000 08:01 365654 /opt/mozilla/lib/xulrunner-1.8.1.6/components/libsimpletest.so
b481d000-b4824000 r-xp 00000000 08:01 364592 /opt/mozilla/lib/xulrunner-1.8.1.6/components/libpippki.so
b4824000-b4825000 rwxp 00006000 08:01 364592 /opt/mozilla/lib/xulrunner-1.8.1.6/components/libpippki.so
b4825000-b487e000 r-xp 00000000 08:01 365632 /opt/mozilla/lib/xulrunner-1.8.1.6/components/libpipnss.so
b487e000-b4882000 rwxp 00058000 08:01 365632 /opt/mozilla/lib/xulrunner-1.8.1.6/components/libpipnss.so
b4882000-b4889000 r-xp 00000000 08:01 365584 /opt/mozilla/lib/xulrunner-1.8.1.6/components/libpipboot.so
b4889000-b488a000 rwxp 00006000 08:01 365584 /opt/mozilla/lib/xulrunner-1.8.1.6/components/libpipboot.so
b488a000-b488d000 r-xp 00000000 08:01 365568 /opt/mozilla/lib/xulrunner-1.8.1.6/components/libpermissions.so
b488d000-b488e000 rwxp 00002000 08:01 365568 /opt/mozilla/lib/xulrunner-1.8.1.6/components/libpermissions.so
b488e000-b4892000 r-xp 00000000 08:01 364650 /opt/mozilla/lib/xulrunner-1.8.1.6/libprldap50.so
b4892000-b4893000 rwxp 00003000 08:01 364650 /opt/mozilla/lib/xulrunner-1.8.1.6/libprldap50.so
b4893000-b48bd000 r-xp 00000000 08:01 364647 /opt/mozilla/lib/xulrunner-1.8.1.6/libldap50.so
b48bd000-b48be000 rwxp 00029000 08:01 364647 /opt/mozilla/lib/xulrunner-1.8.1.6/libldap50.so
b48be000-b48bf000 rwxp b48be000 00:00 0
b48bf000-b48cd000 r-xp 00000000 08:01 365573 /opt/mozilla/lib/xulrunner-1.8.1.6/components/libmozldap.so
b48cd000-b48ce000 rwxp 0000e000 08:01 365573 /opt/mozilla/lib/xulrunner-1.8.1.6/components/libmozldap.so
b48ce000-b48d4000 r-xp 00000000 08:01 364585 /opt/mozilla/lib/xulrunner-1.8.1.6/components/libfileview.so
b48d4000-b48d5000 rwxp 00005000 08:01 364585 /opt/mozilla/lib/xulrunner-1.8.1.6/components/libfileview.so
b48d5000-b48dd000 r-xp 00000000 08:01 365652 /opt/mozilla/lib/xulrunner-1.8.1.6/components/libcookie.so
b48dd000-b48de000 rwxp 00007000 08:01 365652 /opt/mozilla/lib/xulrunner-1.8.1.6/components/libcookie.so
b48de000-b48fc000 r-xp 00000000 08:01 20542 /usr/share/locale/fr/LC_MESSAGES/libc.mo
b48fc000-b4902000 r-xp 00000000 08:01 637126 /usr/lib/libpangoxft-1.0.so.0.1800.2
b4902000-b4903000 rwxp 00005000 08:01 637126 /usr/lib/libpangoxft-1.0.so.0.1800.2
b4903000-b494e000 r-xp 00000000 08:01 13755 /usr/lib/libXt.so.6.0.0
b494e000-b4952000 rwxp 0004a000 08:01 13755 /usr/lib/libXt.so.6.0.0
b4952000-b4963000 r-xp 00000000 08:01 24664 /usr/lib/libXft.so.2.1.2
b4963000-b4964000 rwxp 00010000 08:01 24664 /usr/lib/libXft.so.2.1.2
b4964000-b4a08000 r-xp 00000000 08:01 364649 /opt/mozilla/lib/xulrunner-1.8.1.6/libmozjs.so
b4a08000-b4a0d000 rwxp 000a3000 08:01 364649 /opt/mozilla/lib/xulrunner-1.8.1.6/libmozjs.so
b4a0d000-b4a2c000 r-xp 00000000 08:01 13884 /usr/lib/libjpeg.so.62.0.0
b4a2c000-b4a2d000 rwxp 0001e000 08:01 13884 /usr/lib/libjpeg.so.62.0.0
b4a2d000-b55f3000 r-xp 00000000 08:01 364670 /opt/mozilla/lib/xulrunner-1.8.1.6/libxul.so
b55f3000-b56a1000 rwxp 00bc6000 08:01 364670 /opt/mozilla/lib/xulrunner-1.8.1.6/libxul.so
b56a1000-b56b5000 rwxp b56a1000 00:00 0
b56b5000-b56bf000 r-xp 00000000 08:01 50883 /usr/lib/libgcc_s.so.1
b56bf000-b56c0000 rwxp 00009000 08:01 50883 /usr/lib/libgcc_s.so.1
b56c0000-b57a3000 r-xp 00000000 08:01 50691 /usr/lib/libstdc++.so.6.0.9
b57a3000-b57a6000 r-xp 000e2000 08:01 50691 /usr/lib/libstdc++.so.6.0.9
b57a6000-b57a8000 rwxp 000e5000 08:01 50691 /usr/lib/libstdc++.so.6.0.9
b57a8000-b57ae000 rwxp b57a8000 00:00 0
b57ae000-b57dc000 r-xp 00000000 08:01 13992 /usr/lib/libnspr4.so
b57dc000-b57dd000 rwxp 0002e000 08:01 13992 /usr/lib/libnspr4.so
b57dd000-b57df000 rwxp b57dd000 00:00 0
b57df000-b57e3000 r-xp 00000000 08:01 13991 /usr/lib/libplc4.so
b57e3000-b57e4000 rwxp 00003000 08:01 13991 /usr/lib/libplc4.so
b57e4000-b57e6000 r-xp 00000000 08:01 13993 /usr/lib/libplds4.so
b57e6000-b57e7000 rwxp 00001000 08:01 13993 /usr/lib/libplds4.so
b57e7000-b57ef000 r-xp 00000000 08:01 365576 /opt/mozilla/lib/xulrunner-1.8.1.6/components/libautoconfig.so
b57ef000-b57f0000 rwxp 00007000 08:01 365576 /opt/mozilla/lib/xulrunner-1.8.1.6/components/libautoconfig.so
b57f0000-b57f4000 r-xp 00000000 08:01 365594 /opt/mozilla/lib/xulrunner-1.8.1.6/components/libauth.so
b57f4000-b57f5000 rwxp 00004000 08:01 365594 /opt/mozilla/lib/xulrunner-1.8.1.6/components/libauth.so
b57f5000-b57f7000 r-xp 00000000 08:01 205050 /usr/lib/gconv/UTF-16.so
b57f7000-b57f9000 rwxp 00001000 08:01 205050 /usr/lib/gconv/UTF-16.so
b57f9000-b57ff000 r-xp 00000000 08:01 14053 /usr/lib/libnotify.so.1.1.2
b57ff000-b5800000 rwxp 00006000 08:01 14053 /usr/lib/libnotify.so.1.1.2
b5800000-b5802000 r-xp 00000000 08:01 1016961 /usr/lib/liferea/liblinotiflibnotify.so.0.0.0
b5802000-b5803000 rwxp 00002000 08:01 1016961 /usr/lib/liferea/liblinotiflibnotify.so.0.0.0
b5803000-b5805000 r-xp 00000000 08:01 364640 /opt/mozilla/lib/xulrunner-1.8.1.6/libxpcom.so
b5805000-b5806000 rwxp 00002000 08:01 364640 /opt/mozilla/lib/xulrunner-1.8.1.6/libxpcom.so
b5806000-b5819000 r-xp 00000000 08:01 364781 /opt/mozilla/lib/xulrunner-1.8.1.6/libgtkembedmoz.so
b5819000-b581a000 rwxp 00012000 08:01 364781 /opt/mozilla/lib/xulrunner-1.8.1.6/libgtkembedmoz.so
b581a000-b581b000 rwxp b581a000 00:00 0
b581b000-b581f000 r-xp 00000000 08:01 1016965 /usr/lib/liferea/liblihtmlx.so
b581f000-b5820000 rwxp 00004000 08:01 1016965 /usr/lib/liferea/liblihtmlx.so
b5820000-b5821000 ---p b5820000 00:00 0
b5821000-b6021000 rwxp b5821000 00:00 0
b6021000-b6022000 ---p b6021000 00:00 0
b6022000-b6822000 rwxp b6022000 00:00 0
b6822000-b682f000 r-xp 00000000 08:01 806971 /usr/share/locale/fr/LC_MESSAGES/liferea.mo
b682f000-b6830000 r-xp 00000000 08:01 204964 /usr/lib/gconv/ISO8859-1.so
b6830000-b6832000 rwxp 00000000 08:01 204964 /usr/lib/gconv/ISO8859-1.so
b6832000-b6857000 r-xp 00000000 08:01 618368 /usr/share/locale/fr/LC_MESSAGES/gtk20-properties.mo
b6857000-b6858000 ---p b6857000 00:00 0
b6858000-b7058000 rwxp b6858000 00:00 0
b7058000-b71ce000 r-xp 00000000 08:01 16417 /usr/lib/locale/locale-archive
b71ce000-b71d1000 rwxp b71ce000 00:00 0
b71d1000-b71d5000 r-xp 00000000 08:01 13745 /usr/lib/libXdmcp.so.6.0.0
b71d5000-b71d6000 rwxp 00003000 08:01 13745 /usr/lib/libXdmcp.so.6.0.0
b71d6000-b71d8000 r-xp 00000000 08:01 13712 /usr/lib/libXau.so.6.0.0
b71d8000-b71d9000 rwxp 00001000 08:01 13712 /usr/lib/libXau.so.6.0.0
b71d9000-b71f7000 r-xp 00000000 08:01 24590 /usr/lib/libexpat.so.1.5.2
b71f7000-b71f9000 rwxp 0001e000 08:01 24590 /usr/lib/libexpat.so.1.5.2
b71f9000-b71fc000 r-xp 00000000 08:01 823341 /usr/lib/libgpg-error.so.0.3.1
b71fc000-b71fd000 rwxp 00002000 08:01 823341 /usr/lib/libgpg-error.so.0.3.1
b71fd000-b71fe000 rwxp b71fd000 00:00 0
b71fe000-b720c000 r-xp 00000000 08:01 13785 /usr/lib/libtasn1.so.3.0.12
b720c000-b720d000 rwxp 0000e000 08:01 13785 /usr/lib/libtasn1.so.3.0.12
b720d000-b7233000 r-xp 00000000 08:01 354867 /lib/libpcre.so.0.0.1
b7233000-b7234000 rwxp 00025000 08:01 354867 /lib/libpcre.so.0.0.1
b7234000-b7247000 r-xp 00000000 08:01 12892 /lib/libnsl-2.6.1.so
b7247000-b7249000 rwxp 00012000 08:01 12892 /lib/libnsl-2.6.1.so
b7249000-b724b000 rwxp b7249000 00:00 0
b724b000-b7261000 r-xp 00000000 08:01 15006 /usr/lib/libxcb.so.1.0.0
b7261000-b7262000 rwxp 00016000 08:01 15006 /usr/lib/libxcb.so.1.0.0
b7262000-b7263000 r-xp 00000000 08:01 15057 /usr/lib/libxcb-xlib.so.0.0.0
b7263000-b7264000 rwxp 00000000 08:01 15057 /usr/lib/libxcb-xlib.so.0.0.0
b7264000-b7265000 rwxp b7264000 00:00 0
b7265000-b72dc000 r-xp 00000000 08:01 16750 /usr/lib/libfreetype.so.6.3.16
b72dc000-b72e0000 rwxp 00077000 08:01 16750 /usr/lib/libfreetype.so.6.3.16
b72e0000-b730c000 r-xp 00000000 08:01 637072 /usr/lib/libpangoft2-1.0.so.0.1800.2
b730c000-b730d000 rwxp 0002c000 08:01 637072 /usr/lib/libpangoft2-1.0.so.0.1800.2
b730d000-b7315000 r-xp 00000000 08:01 13777 /usr/lib/libXcursor.so.1.0.2
b7315000-b7316000 rwxp 00007000 08:01 13777 /usr/lib/libXcursor.so.1.0.2
b7316000-b731b000 r-xp 00000000 08:01 24691 /usr/lib/libXrandr.so.2.1.0
b731b000-b731c000 rwxp 00004000 08:01 24691 /usr/lib/libXrandr.so.2.1.0
b731c000-b7323000 r-xp 00000000 08:01 16451 /usr/lib/libXi.so.6.0.0
b7323000-b7324000 rwxp 00006000 08:01 16451 /usr/lib/libXi.so.6.0.0
b7324000-b7325000 rwxp b7324000 00:00 0
b7325000-b7327000 r-xp 00000000 08:01 24843 /usr/lib/libXinerama.so.1.0.0
b7327000-b7328000 rwxp 00001000 08:01 24843 /usr/lib/libXinerama.so.1.0.0
b7328000-b732f000 r-xp 00000000 08:01 16395 /usr/lib/libXrender.so.1.3.0
b732f000-b7330000 rwxp 00007000 08:01 16395 /usr/lib/libXrender.so.1.3.0
b7330000-b733d000 r-xp 00000000 08:01 16441 /usr/lib/libXext.so.6.4.0
b733d000-b733e000 rwxp 0000c000 08:01 16441 /usr/lib/libXext.so.6.4.0
b733e000-b7361000 r-xp 00000000 08:01 24636 /usr/lib/libfontconfig.so.1.2.0
b7361000-b7369000 rwxp 00022000 08:01 24636 /usr/lib/libfontconfig.so.1.2.0
b7369000-b736d000 r-xp 00000000 08:01 24756 /usr/lib/libXfixes.so.3.1.0
b736d000-b736e000 rwxp 00003000 08:01 24756 /usr/lib/libXfixes.so.3.1.0
b736e000-b736f000 rwxp b736e000 00:00 0
b736f000-b7371000 r-xp 00000000 08:01 14062 /usr/lib/libXdamage.so.1.1.0
b7371000-b7372000 rwxp 00001000 08:01 14062 /usr/lib/libXdamage.so.1.1.0
b7372000-b7374000 r-xp 00000000 08:01 14206 /usr/lib/libXcomposite.so.1.0.0
b7374000-b7375000 rwxp 00001000 08:01 14206 /usr/lib/libXcomposite.so.1.0.0
b7375000-b74a0000 r-xp 00000000 08:01 12899 /lib/libc-2.6.1.so
b74a0000-b74a1000 r-xp 0012b000 08:01 12899 /lib/libc-2.6.1.so
b74a1000-b74a3000 rwxp 0012c000 08:01 12899 /lib/libc-2.6.1.so
b74a3000-b74a6000 rwxp b74a3000 00:00 0
b74a6000-b74b9000 r-xp 00000000 08:01 12880 /lib/libpthread-2.6.1.so
b74b9000-b74bb000 rwxp 00013000 08:01 12880 /lib/libpthread-2.6.1.so
b74bb000-b74bd000 rwxp b74bb000 00:00 0
b74bd000-b7508000 r-xp 00000000 08:01 823352 /usr/lib/libgcrypt.so.11.2.3
b7508000-b750a000 rwxp 0004a000 08:01 823352 /usr/lib/libgcrypt.so.11.2.3
b750a000-b750b000 rwxp b750a000 00:00 0
b750b000-b757d000 r-xp 00000000 08:01 80799 /usr/lib/libgnutls.so.13.8.3
b757d000-b7583000 rwxp 00071000 08:01 80799 /usr/lib/libgnutls.so.13.8.3
b7583000-b7621000 r-xp 00000000 08:01 80676 /usr/lib/libglib-2.0.so.0.1400.1
b7621000-b7622000 rwxp 0009e000 08:01 80676 /usr/lib/libglib-2.0.so.0.1400.1
b7622000-b765b000 r-xp 00000000 08:01 80685 /usr/lib/libgobject-2.0.so.0.1400.1
b765b000-b765c000 rwxp 00039000 08:01 80685 /usr/lib/libgobject-2.0.so.0.1400.1
b765c000-b76ad000 r-xp 00000000 08:01 12685 /usr/lib/libdbus-1.so.3.2.0
b76ad000-b76ae000 rwxp 00051000 08:01 12685 /usr/lib/libdbus-1.so.3.2.0
b76ae000-b76c8000 r-xp 00000000 08:01 12688 /usr/lib/libdbus-glib-1.so.2.1.0
b76c8000-b76c9000 rwxp 0001a000 08:01 12688 /usr/lib/libdbus-glib-1.so.2.1.0
b76c9000-b76cd000 r-xp 00000000 08:01 14362 /usr/lib/libnm_glib.so.0.0.0
b76cd000-b76ce000 rwxp 00004000 08:01 14362 /usr/lib/libnm_glib.so.0.0.0
b76ce000-b76cf000 rwxp b76ce000 00:00 0
b76cf000-b77b4000 r-xp 00000000 08:01 746075 /usr/lib/libX11.so.6.2.0
b77b4000-b77b8000 rwxp 000e4000 08:01 746075 /usr/lib/libX11.so.6.2.0
b77b8000-b77cc000 r-xp 00000000 08:01 13706 /usr/lib/libICE.so.6.3.0
b77cc000-b77cd000 rwxp 00014000 08:01 13706 /usr/lib/libICE.so.6.3.0
b77cd000-b77cf000 rwxp b77cd000 00:00 0
b77cf000-b77d6000 r-xp 00000000 08:01 13710 /usr/lib/libSM.so.6.0.0
b77d6000-b77d7000 rwxp 00006000 08:01 13710 /usr/lib/libSM.so.6.0.0
b77d7000-b77d9000 r-xp 00000000 08:01 12878 /lib/libdl-2.6.1.so
b77d9000-b77db000 rwxp 00001000 08:01 12878 /lib/libdl-2.6.1.so
b77db000-b77de000 r-xp 00000000 08:01 80680 /usr/lib/libgmodule-2.0.so.0.1400.1
b77de000-b77df000 rwxp 00002000 08:01 80680 /usr/lib/libgmodule-2.0.so.0.1400.1
b77df000-b7851000 r-xp 00000000 08:01 319918 /usr/lib/libcairo.so.2.11.5
b7851000-b7853000 rwxp 00072000 08:01 319918 /usr/lib/libcairo.so.2.11.5
b7853000-b7854000 rwxp b7853000 00:00 0
b7854000-b788e000 r-xp 00000000 08:01 637066 /usr/lib/libpango-1.0.so.0.1800.2
b788e000-b7890000 rwxp 00039000 08:01 637066 /usr/lib/libpango-1.0.so.0.1800.2
b7890000-b7898000 r-xp 00000000 08:01 637127 /usr/lib/libpangocairo-1.0.so.0.1800.2
b7898000-b7899000 rwxp 00007000 08:01 637127 /usr/lib/libpangocairo-1.0.so.0.1800.2
b7899000-b78bc000 r-xp 00000000 08:01 12896 /lib/libm-2.6.1.so
b78bc000-b78be000 rwxp 00022000 08:01 12896 /lib/libm-2.6.1.so
b78be000-b78e0000 r-xp 00000000 08:01 481736 /usr/lib/libpng12.so.0.22.0
b78e0000-b78e1000 rwxp 00021000 08:01 481736 /usr/lib/libpng12.so.0.22.0
b78e1000-b78fa000 r-xp 00000000 08:01 252374 /usr/lib/libgdk_pixbuf-2.0.so.0.1200.0
b78fa000-b78fb000 rwxp 00018000 08:01 252374 /usr/lib/libgdk_pixbuf-2.0.so.0.1200.0
b78fb000-b7913000 r-xp 00000000 08:01 799475 /usr/lib/libatk-1.0.so.0.2009.1
b7913000-b7915000 rwxp 00017000 08:01 799475 /usr/lib/libatk-1.0.so.0.2009.1
b7915000-b7916000 rwxp b7915000 00:00 0
b7916000-b7996000 r-xp 00000000 08:01 252388 /usr/lib/libgdk-x11-2.0.so.0.1200.0
b7996000-b7999000 rwxp 00080000 08:01 252388 /usr/lib/libgdk-x11-2.0.so.0.1200.0
b7999000-b7ab0000 r-xp 00000000 08:01 823413 /usr/lib/libxml2.so.2.6.30
b7ab0000-b7ab5000 rwxp 00117000 08:01 823413 /usr/lib/libxml2.so.2.6.30
b7ab5000-b7ab6000 rwxp b7ab5000 00:00 0
b7ab6000-b7e18000 r-xp 00000000 08:01 252371 /usr/lib/libgtk-x11-2.0.so.0.1200.0
b7e18000-b7e1e000 rwxp 00362000 08:01 252371 /usr/lib/libgtk-x11-2.0.so.0.1200.0
b7e1e000-b7e1f000 rwxp b7e1e000 00:00 0
b7e1f000-b7e36000 r-xp 00000000 08:01 13912 /usr/lib/libglade-2.0.so.0.0.7
b7e36000-b7e37000 rwxp 00016000 08:01 13912 /usr/lib/libglade-2.0.so.0.0.7
b7e37000-b7e9b000 r-xp 00000000 08:01 484003 /usr/lib/libsqlite3.so.0.8.6
b7e9b000-b7e9d000 rwxp 00063000 08:01 484003 /usr/lib/libsqlite3.so.0.8.6
b7e9d000-b7eae000 r-xp 00000000 08:01 823301 /lib/libz.so.1.2.3
b7eae000-b7eaf000 rwxp 00010000 08:01 823301 /lib/libz.so.1.2.3
b7eaf000-b7eb0000 rwxp b7eaf000 00:00 0
b7eb0000-b7ee3000 r-xp 00000000 08:01 823469 /usr/lib/libxslt.so.1.1.22
b7ee3000-b7ee4000 rwxp 00033000 08:01 823469 /usr/lib/libxslt.so.1.1.22
b7ee4000-b7eea000 r-xp 00000000 08:01 12913 /lib/librt-2.6.1.so
b7eea000-b7eec000 rwxp 00005000 08:01 12913 /lib/librt-2.6.1.so
b7eec000-b7eef000 r-xp 00000000 08:01 80678 /usr/lib/libgthread-2.0.so.0.1400.1
b7eef000-b7ef0000 rwxp 00003000 08:01 80678 /usr/lib/libgthread-2.0.so.0.1400.1
b7ef0000-b7f39000 r-xp 00000000 08:01 555354 /usr/lib/libORBit-2.so.0.1.0
b7f39000-b7f43000 rwxp 00048000 08:01 555354 /usr/lib/libORBit-2.so.0.1.0
b7f43000-b7f71000 r-xp 00000000 08:01 12317 /usr/lib/libgconf-2.so.4.1.2
b7f71000-b7f74000 rwxp 0002d000 08:01 12317 /usr/lib/libgconf-2.so.4.1.2
b7f75000-b7f7d000 r-xp 00000000 08:01 12922 /lib/libnss_files-2.6.1.so
b7f7d000-b7f7f000 rwxp 00007000 08:01 12922 /lib/libnss_files-2.6.1.so
b7f7f000-b7f90000 r-xp 00000000 08:01 618338 /usr/share/locale/fr/LC_MESSAGES/gtk20.mo
b7f90000-b7f91000 rwxp b7f90000 00:00 0
b7f91000-b7f92000 r-xp b7f91000 00:00 0 [vdso]
b7f92000-b7fac000 r-xp 00000000 08:01 12905 /lib/ld-2.6.1.so
b7fac000-b7fad000 r-xp 00019000 08:01 12905 /lib/ld-2.6.1.so
b7fad000-b7fae000 rwxp 0001a000 08:01 12905 /lib/ld-2.6.1.so
bff99000-bffae000 rwxp bff99000 00:00 0 [stack]

Hope this will be of some help.

Discussion

  • Lars Windolf

    Lars Windolf - 2007-10-10

    Logged In: YES
    user_id=834800
    Originator: NO

    Can you please ask your user to run with --debug-all and provide the trace output? This should give the SQL that is executed by the db_view_create() call visible in the stacktrace. It would be interesting wether the SQL is reasonable.

    Can you (or your user) try to execute the given SQL statement from the command line using sqlite3? To do so please call "sqlite3 ~/.liferea_1.4/liferea.db" and enter the SQL statement at the prompt.

     
  • Lars Windolf

    Lars Windolf - 2007-10-10
    • status: open --> pending
     
  • zodmaner

    zodmaner - 2007-10-10

    Liferea_debug-all_result

     
  • zodmaner

    zodmaner - 2007-10-10

    Logged In: YES
    user_id=1888161
    Originator: YES

    Ok I've run Liferea with '--debug-all' argument and attached the result. Hope this will be useful. Noted that my didn't use a rebuilt version Liferea with debug symbols, just a regular version.

    PS. Oh and eh... Sorry for a misunderstanding, but I didn't 'own' a distribution (it was Arch Linux), I'm just one of the users. :P (Really sorry for my terrible, terrible English skill).
    File Added: liferea_debug-all

     
  • zodmaner

    zodmaner - 2007-10-10
    • status: pending --> open
     
  • zodmaner

    zodmaner - 2007-10-10

    valgrind_result_x86_64

     
  • zodmaner

    zodmaner - 2007-10-10

    Logged In: YES
    user_id=1888161
    Originator: YES

    Valgrind result for Lars. (From 64 bit edition of Arch Linux)
    File Added: valgrind.txt

     
  • Lars Windolf

    Lars Windolf - 2007-10-10
    • status: open --> open-works-for-me
     
  • Lars Windolf

    Lars Windolf - 2007-10-10

    Logged In: YES
    user_id=834800
    Originator: NO

    The --debug-all trace indicates that Liferea always hangs when executing a "CREATE VIEW ..." statement in sqlite. Issueing the same statement with the sqlite3 command line client showed it to be correct and to work properly. The hanging is also independant from the fact wether the view already exists in the DB or not. The supplied valgrind trace looks good and has no indications about problems in Liferea. I'm not really sure what causes the invalid free() that is printed in the provided crash output.

    Manually removing all search folder definitions from the feedlist.opml file can be used as a workaround.

    For now not reproducible and won't fix. Let's see if there are additional reports and if my distro (Debian Unstable) upgrades sqlite to the same version or higher.

     
  • Lars Windolf

    Lars Windolf - 2007-10-10
    • priority: 5 --> 7
     
  • Lars Windolf

    Lars Windolf - 2007-10-11

    Logged In: YES
    user_id=834800
    Originator: NO

    Yes, seems to become a bigger issue. I'll upgrade to sqlite from experimental myself.

     
  • Lars Windolf

    Lars Windolf - 2007-10-11
    • priority: 7 --> 9
    • status: open-works-for-me --> open
     
  • Lars Windolf

    Lars Windolf - 2007-10-11

    Logged In: YES
    user_id=834800
    Originator: NO

    Hmmm... for AMD64 there is no package yet. So I'll need to wait some more.

     
  • Lars Windolf

    Lars Windolf - 2007-10-11

    Logged In: YES
    user_id=834800
    Originator: NO

    Everyone having the problem please try the attached patch (sqlite3_free.patch).
    File Added: sqlite3_free.patch

     
  • Lars Windolf

    Lars Windolf - 2007-10-11

    Logged In: YES
    user_id=834800
    Originator: NO

    I could reproduce the problem with a self-compiled sqlite 3.5.1.
    The patch posted earlier does not solve the problem.

     
  • Lars Windolf

    Lars Windolf - 2007-10-11
    • status: open --> open-fixed
     
  • Lars Windolf

    Lars Windolf - 2007-10-11

    Logged In: YES
    user_id=834800
    Originator: NO

    Solution available in SVN. The patch supplied below is incorrect, there was another place that needed to be fixed. New and correct patch is attached. Release 1.4.5b will follow soon.

     
  • Lars Windolf

    Lars Windolf - 2007-10-11

    Logged In: YES
    user_id=834800
    Originator: NO

    File Added: sqlite3_free2.patch

     
  • Lars Windolf

    Lars Windolf - 2007-10-11

    Logged In: YES
    user_id=834800
    Originator: NO

    Solution released with 1.4.5b

     
  • Lars Windolf

    Lars Windolf - 2007-10-29
    • status: open-fixed --> closed-fixed
     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks